package kr.co.hanwha.hifive.base;

import android.support.annotation.Nullable;

import java.util.ArrayList;

/**
 * Created by sanghoonkwon on 2018. 1. 10..
 */

public interface BaseListContract {
    interface View {
        void notifyDataAll();

        void notifyDataRangeChanged(int positionStart, int itemCount);
    }

    interface Model {
        void addItems(@Nullable ArrayList<Object> list);

        void addItem(@Nullable Object data);
    }
}
